KDE 4.9 PyKDE API Reference

- KDE's Python API

# AgentTypeWidget Class Reference

`from PyKDE4.akonadi import *`

Inherits: QWidget → QObject
Namespace: Akonadi

## Detailed Description

Provides a widget that lists all available agent types.

The widget is listening on the dbus for changes, so the widget is updated automatically as soon as new agent types are added to or removed from the system.

     Akonadi.AgentTypeWidget *widget = new Akonadi.AgentTypeWidget( this );

     // only list agent types that provide contacts
     widget->agentFilterProxyModel()->addMimeTypeFilter( "text/directory" );

If you want a dialog, you can use the Akonadi.AgentTypeDialog.

Author:
  Tobias Koenig <tokoe@kde.org>

## Signals

| activated ()
| currentChanged (Akonadi.AgentType current, Akonadi.AgentType previous)

## Methods

| __init__ (self, QWidget parent=0)
Akonadi.AgentFilterProxyModel | agentFilterProxyModel (self)
Akonadi.AgentType | currentAgentType (self)

## Signal Documentation

activated | ( |  | ) |

This signal is emitted whenever the user activates an agent.

Since:
  4.2

Signal syntax:
  `QObject.connect(source, SIGNAL("activated()"), target_slot)`

currentChanged | ( | Akonadi.AgentType | current,
|  | Akonadi.AgentType | previous
| ) |  |  |

This signal is emitted whenever the current agent type changes.

Parameters:

  | current | The current agent type.
  | previous | The previous agent type.

Signal syntax:
  `QObject.connect(source, SIGNAL("currentChanged(const Akonadi::AgentType&, const Akonadi::AgentType&)"), target_slot)`

## Method Documentation

__init__ | ( | self, |
|  | QWidget | parent=0
| ) |  |  |

Creates a new agent type widget.

Parameters:

  | parent | The parent widget.

Akonadi.AgentFilterProxyModel agentFilterProxyModel | ( |  | self ) |

Returns the agent filter proxy model, use this to filter by agent mimetype or capabilities.

Akonadi.AgentType currentAgentType | ( |  | self ) |

Returns the current agent type or an invalid agent type if no agent type is selected.